Bug 386981 - fc9 devel firefox crashes on startup
fc9 devel firefox crashes on startup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
FF3RawhideClose
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 10:19 EST by Jonathan Kamens
Modified: 2007-12-20 11:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 11:47:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (14.72 KB, text/plain)
2007-11-16 10:19 EST, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2007-11-16 10:19:56 EST
Just upgraded to all fc9 devel, all the time, and got this when trying to start 
firefox:

*** glibc detected *** /usr/lib/firefox-2.0.0.9/firefox-bin: free(): invalid 
pointer: 0xbfd50fac ***

The backtrace printed to stdout by glibc isn't terribly useful since it doesn't 
have function or line numbers for the most part, but I attached to firefox-bin 
in gdb with all the debuginfo packages installed and captured the attached 
backtrace.

The crash goes away if you run firefox with MALLOC_CHECK_=0.
Comment 1 Jonathan Kamens 2007-11-16 10:19:56 EST
Created attachment 261341 [details]
backtrace
Comment 2 Jonathan Kamens 2007-12-02 14:21:45 EST
Still broken in firefox-2.0.0.10-1.fc9.  Hard to understand why this hasn't been
fixed yet.
Comment 3 Martin Stransky 2007-12-06 07:47:07 EST
Kay, could you check it please? could be NSS related...
Comment 4 Matěj Cepl 2007-12-06 08:23:07 EST
Well, it is not that hard. We are unable to reproduce this bug here, and we
won't be unless you will provide us some more information about environment
where it happens. Something special about your configuration? What
plugins/extensions you have installed? Does it happen on some particular URL or
just about anywhere? Does it happen even in the Safe mode
(http://kb.mozillazine.org/Safe_mode)?
Comment 5 Kai Engert (:kaie) (on vacation) 2007-12-06 08:55:06 EST
Bob, NSS 3.12 alpha is crashing on Rawhide
Comment 6 Jonathan Kamens 2007-12-06 10:20:29 EST
Does comment #5 above mean that you no longer need info from me?
Comment 8 Kai Engert (:kaie) (on vacation) 2007-12-06 11:35:52 EST
Johnathan, in your own interest, if you would like us to reproduce and fix this
bug, please try to answer the questions from comment 4 as good as you can.

I don't know yet what this bug means.
Right now I'm unable to reproduce, because I don't have a rawhide system.
I'm trying to get one set up as a xen guest on an i386.
(My usual x86_64 rawhide xen guest is unusable right now because of a networking
bug.)
Comment 9 Kai Engert (:kaie) (on vacation) 2007-12-06 12:04:17 EST
I've a rawhide xen guest now.
I don't crash, firefox starts up fine.

Jonathan, please paste at least the output of the following command:

# rpm -qa firefox\* nss\* nspr\*
Comment 10 Jonathan Kamens 2007-12-17 22:39:06 EST
Still crashing for me with current rawhide packages.

I attached a complete backtrace of the bug.  Didn't it help?

Nothing special about my configuration.  Don't have any plugins or extensions
installed that I know of.  It happens, as I said, when I start firefox, before
it even pops up a window.  It happens in safe mode as well -- I get the
backtrace after the safe mode popup.

It does *not* happen if I move my ~/.mozilla to ~/.mozilla.broken before
starting firefox.  Perhaps the backtrace will help you to determine what in my
.mozilla directory is screwing up firefox.
Comment 11 Matěj Cepl 2007-12-19 09:26:53 EST
Reporter, could you please reply to the comment 9 and give us those versions of
packages? If you won't reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 12 Jonathan Kamens 2007-12-19 14:10:17 EST
nss_db-2.2-39
nss-devel-3.11.99.2b-2.fc9
nspr-devel-4.6.99.2-1.fc9
nss-debuginfo-3.11.99.2-1.fc9
nss_ldap-257-6.fc9
nspr-4.6.99.2-1.fc9
nss-3.11.99.2b-2.fc9
firefox-debuginfo-2.0.0.9-1.fc9
firefox-2.0.0.10-5.fc9
nspr-debuginfo-4.6.99.2-1.fc9
nss-tools-3.11.99.2b-2.fc9
Comment 13 Christopher Aillon 2007-12-20 11:09:16 EST
Btw, firefox 3 is in rawhide as of today... This probably changes things a lot.
 Might wish to give that a try.
Comment 14 Matěj Cepl 2007-12-20 11:47:02 EST
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.